package com.example.nto.util;

import com.example.nto.dto.EmployeeDTO;
import com.example.nto.entity.Employee;
import lombok.experimental.UtilityClass;

import java.time.format.DateTimeFormatter;
import java.time.format.FormatStyle;

@UtilityClass
public class EmployeeMapper {

    public EmployeeDTO convertToDTO(Employee employee){
        EmployeeDTO dto = new EmployeeDTO();
        dto.setId(employee.getId());
        dto.setUsername(employee.getLogin());
        dto.setName(employee.getName());
        dto.setPhoto(employee.getPhoto());
        dto.setPosition(employee.getPosition());
        dto.setLastVisit(employee.getLastVisit());

        return dto;
    }
}
